Package com.io7m.idstore.database.postgres.internal

# Class DefaultSchema

java.lang.Object
org.jooq.impl.SchemaImpl
com.io7m.idstore.database.postgres.internal.DefaultSchema

All Implemented Interfaces:
  `Serializable`, `org.jooq.Named`, `org.jooq.QueryPart`, `org.jooq.QueryPartInternal`, `org.jooq.Schema`

public class DefaultSchema extends org.jooq.impl.SchemaImpl
This class is generated by jOOQ.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final Admins`
  `ADMINS`
  The table `ADMINS`.
  `final Audit`
  `AUDIT`
  The table `AUDIT`.
  `final Bans`
  `BANS`
  The table `BANS`.
  `static final DefaultSchema`
  `DEFAULT_SCHEMA`
  The reference instance of `DEFAULT_SCHEMA`
  `final EmailVerifications`
  `EMAIL_VERIFICATIONS`
  The table `EMAIL_VERIFICATIONS`.
  `final Emails`
  `EMAILS`
  The table `EMAILS`.
  `final LoginHistory`
  `LOGIN_HISTORY`
  The table `LOGIN_HISTORY`.
  `final SchemaVersion`
  `SCHEMA_VERSION`
  The table `SCHEMA_VERSION`.
  `final UserIds`
  `USER_IDS`
  The table `USER_IDS`.
  `final UserPasswordResets`
  `USER_PASSWORD_RESETS`
  The table `USER_PASSWORD_RESETS`.
  `final Users`
  `USERS`
  The table `USERS`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final org.jooq.Name`
  `$name()`
  `protected final org.jooq.DSLContext`
  `create()`
  Deprecated.
  `protected final org.jooq.DSLContext`
  `create(org.jooq.Configuration arg0)`
  Deprecated.
  `protected final org.jooq.DSLContext`
  `create(org.jooq.Context<?> arg0)`
  Deprecated.
  `boolean`
  `declaresCTE()`
  `boolean`
  `declaresFields()`
  `boolean`
  `declaresTables()`
  `boolean`
  `declaresWindows()`
  `boolean`
  `generatesCast()`
  `org.jooq.Catalog`
  `getCatalog()`
  `final String`
  `getComment()`
  `final org.jooq.Comment`
  `getCommentPart()`
  `final String`
  `getName()`
  `org.jooq.Name`
  `getQualifiedName()`
  `final List<org.jooq.Table<?>>`
  `getTables()`
  `final org.jooq.Name`
  `getUnqualifiedName()`
  `int`
  `hashCode()`
  `boolean`
  `rendersContent(org.jooq.Context<?> arg0)`
  `String`
  `toString()`
  `protected final org.jooq.exception.DataAccessException`
  `translate(String arg0, SQLException arg1)`

  ### Methods inherited from class org.jooq.impl.SchemaImpl

  `accept, clauses, domainStream, equals, foreignKeyStream, getDomain, getDomain, getDomains, getForeignKeys, getForeignKeys, getForeignKeys, getIndexes, getIndexes, getIndexes, getPrimaryKeys, getPrimaryKeys, getPrimaryKeys, getSequence, getSequence, getSequences, getTable, getTable, getUDT, getUDT, getUDTs, getUniqueKeys, getUniqueKeys, getUniqueKeys, indexStream, primaryKeyStream, sequenceStream, tableStream, udtStream, uniqueKeyStream`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.jooq.Named

  `$name, getComment, getCommentPart, getName, getQualifiedName, getUnqualifiedName`

  ### Methods inherited from interface org.jooq.QueryPart

  `hashCode, toString`

  ### Methods inherited from interface org.jooq.QueryPartInternal

  `declaresCTE, declaresFields, declaresTables, declaresWindows, generatesCast, rendersContent`

- ## Field Details

  - ### DEFAULT_SCHEMA

    public static final DefaultSchema DEFAULT_SCHEMA
    The reference instance of `DEFAULT_SCHEMA`

  - ### ADMINS

    public final Admins ADMINS
    The table `ADMINS`.

  - ### AUDIT

    public final Audit AUDIT
    The table `AUDIT`.

  - ### BANS

    public final Bans BANS
    The table `BANS`.

  - ### EMAIL_VERIFICATIONS

    public final EmailVerifications EMAIL_VERIFICATIONS
    The table `EMAIL_VERIFICATIONS`.

  - ### EMAILS

    public final Emails EMAILS
    The table `EMAILS`.

  - ### LOGIN_HISTORY

    public final LoginHistory LOGIN_HISTORY
    The table `LOGIN_HISTORY`.

  - ### SCHEMA_VERSION

    public final SchemaVersion SCHEMA_VERSION
    The table `SCHEMA_VERSION`.

  - ### USER_IDS

    public final UserIds USER_IDS
    The table `USER_IDS`.

  - ### USER_PASSWORD_RESETS

    public final UserPasswordResets USER_PASSWORD_RESETS
    The table `USER_PASSWORD_RESETS`.

  - ### USERS

    public final Users USERS
    The table `USERS`.

- ## Method Details

  - ### getCatalog

    public org.jooq.Catalog getCatalog()
    Specified by:
      `getCatalog` in interface `org.jooq.Schema`
    Overrides:
      `getCatalog` in class `org.jooq.impl.SchemaImpl`

  - ### getTables

    public final List<org.jooq.Table<?>> getTables()
    Specified by:
      `getTables` in interface `org.jooq.Schema`
    Overrides:
      `getTables` in class `org.jooq.impl.SchemaImpl`

  - ### getName

    public final String getName()
    Specified by:
      `getName` in interface `org.jooq.Named`

  - ### getQualifiedName

    public org.jooq.Name getQualifiedName()
    Specified by:
      `getQualifiedName` in interface `org.jooq.Named`

  - ### getUnqualifiedName

    public final org.jooq.Name getUnqualifiedName()
    Specified by:
      `getUnqualifiedName` in interface `org.jooq.Named`

  - ### getComment

    public final String getComment()
    Specified by:
      `getComment` in interface `org.jooq.Named`

  - ### getCommentPart

    public final org.jooq.Comment getCommentPart()
    Specified by:
      `getCommentPart` in interface `org.jooq.Named`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `org.jooq.QueryPart`

  - ### $name

    public final org.jooq.Name $name()
    Specified by:
      `$name` in interface `org.jooq.Named`

  - ### rendersContent

    public boolean rendersContent(org.jooq.Context<?> arg0)
    Specified by:
      `rendersContent` in interface `org.jooq.QueryPartInternal`

  - ### declaresFields

    public boolean declaresFields()
    Specified by:
      `declaresFields` in interface `org.jooq.QueryPartInternal`

  - ### declaresTables

    public boolean declaresTables()
    Specified by:
      `declaresTables` in interface `org.jooq.QueryPartInternal`

  - ### declaresWindows

    public boolean declaresWindows()
    Specified by:
      `declaresWindows` in interface `org.jooq.QueryPartInternal`

  - ### declaresCTE

    public boolean declaresCTE()
    Specified by:
      `declaresCTE` in interface `org.jooq.QueryPartInternal`

  - ### generatesCast

    public boolean generatesCast()
    Specified by:
      `generatesCast` in interface `org.jooq.QueryPartInternal`

  - ### toString

    public String toString()
    Specified by:
      `toString` in interface `org.jooq.QueryPart`
    Overrides:
      `toString` in class `Object`

  - ### create

    @Deprecated protected final org.jooq.DSLContext create()
    Deprecated.

  - ### create

    @Deprecated protected final org.jooq.DSLContext create(org.jooq.Configuration arg0)
    Deprecated.

  - ### create

    @Deprecated protected final org.jooq.DSLContext create(org.jooq.Context<?> arg0)
    Deprecated.

  - ### translate

    protected final org.jooq.exception.DataAccessException translate(String arg0, SQLException arg1)